# Aufräumen und Platz sparen

# Inaktive Container und unbenötigte Objekte löschen
Docker sammelt im Laufe der Zeit jede Menge alte Images und Container an, die nicht mehr benötigt werden. Diese sollten regelmäßig gelöscht werden. Am umfassensten geht dies mit

``` bash
# System (Network, Container, dangling Image, dangling Cache)
docker system prune
```

Dies löscht alle gestoppten Container sowie Networks, Images und Caches, die nicht getagged sind und zu keinem existierenden Container gehören. 
Daher sollte man sicherstellen, dass alle noch benötigten Container laufen.

# Unbenötigte Images löschen
Weiterer Platz lässt sich sparen, indem man auch Images löscht, die getagged sind, aber zu keinen aktiven Container gehören.

``` bash
# Images (unused) löschen
docker image prune -a
```